{ buildNeovimPlugin, fetchFromGitHub }:

[
  (buildNeovimPlugin {
    name = "vim-sensible";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sensible";
      rev = "1be4e4e5409caccddf5c2f1bbfa16519f4c93de0";
      sha256 = "1l2ax16r0bqxzdmgpz4rlx7zj0g4d8d696ibdzwmr0q6nbkpy4w5";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-sleuth";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-sleuth";
      rev = "8332f123a63c739c870c96907d987cc3ff719d24";
      sha256 = "15aln4mb82d2k67brgh6xq8nx9rn9ymy3a2ciwwjnxawzjs2pbpg";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-fugitive";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-fugitive";
      rev = "5b0b138483de17a8fd8dfcec0b491782c8fbf102";
      sha256 = "1nlr50kv90rafy85cr2k2n7pmr5mvmvqiza7qnk0rzlccdada6ry";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-rhubarb";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-rhubarb";
      rev = "cad60fe382f3f501bbb28e113dfe8c0de6e77c75";
      sha256 = "1c456ypxgjnmbprjl79kvg5vm26nws0csw8fbs6gmdr21m3x1p4w";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-surround";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-surround";
      rev = "3d188ed2113431cf8dac77be61b842acb64433d9";
      sha256 = "0lfnhwcgfxcg4n59xjxc29fhj08jhdv41l8zpx0fjkx796v3k48d";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "vim-abolish";
    src = fetchFromGitHub {
      owner = "tpope";
      repo = "vim-abolish";
      rev = "3f0c8faadf0c5b68bcf40785c1c42e3731bfa522";
      sha256 = "1w9zim2v1av3f43z8q7zh0ia8dgjxjwnvmzd4j3y25vy25avn0lb";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "undotree";
    src = fetchFromGitHub {
      owner = "mbbill";
      repo = "undotree";
      rev = "bd60cb564e3c3220b35293679669bb77af5f389d";
      sha256 = "0w05yhyjh6j7gcdfghvbjylc64wba42fagnj4bxk1lbcqvnnzxc8";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope.nvim";
      rev = "cabf991b1d3996fa6f3232327fc649bbdf676496";
      sha256 = "04h9hsy6az1hm0bcg8vf8vsj9hqbf0fi3q5fksdjpqpcf2m04j75";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "telescope-fzf-native.nvim";
    src = fetchFromGitHub {
      owner = "nvim-telescope";
      repo = "telescope-fzf-native.nvim";
      rev = "ae9d95da9ff5669eb8e35f758fbf385b3e2fb7cf";
      sha256 = "1appy9vk69wbm1zzgxhpi42y401rkdbkbl4qpiagnqbwkz2wc6i0";
    };

    dontBuild = false;
  })
  (buildNeovimPlugin {
    name = "plenary.nvim";
    src = fetchFromGitHub {
      owner = "nvim-lua";
      repo = "plenary.nvim";
      rev = "4b7e52044bbb84242158d977a50c4cbcd85070c7";
      sha256 = "11815h0h2mf5ym282ghk7xav90635r88qbgaflpgbyk2banl31wl";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "mini.nvim";
    src = fetchFromGitHub {
      owner = "echasnovski";
      repo = "mini.nvim";
      rev = "6402c79d73c07ad19374dc7b4f9d4bdfc2f57f42";
      sha256 = "0iqc4l9qdr1y3nbkzijcp2c1in8r1ybqvbjl9p92x6zdvmxff2jr";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "gitsigns.nvim";
    src = fetchFromGitHub {
      owner = "lewis6991";
      repo = "gitsigns.nvim";
      rev = "d076301a634198e0ae3efee3b298fc63c055a871";
      sha256 = "12990v2zcsas8575nf6ln1byw3zg473s5jpizk4g3v9ikfdvjbfr";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-lspconfig";
    src = fetchFromGitHub {
      owner = "neovim";
      repo = "nvim-lspconfig";
      rev = "ac132be91a6a8170788e7139964288e673b31c5e";
      sha256 = "0i5rjzm8i1bvmnazbpdm0rzcig5fk0639b2k5h33g51xzkdbssb8";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "nvim-treesitter-textobjects";
    src = fetchFromGitHub {
      owner = "nvim-treesitter";
      repo = "nvim-treesitter-textobjects";
      rev = "98476e7364821989ab9b500e4d20d9ae2c5f6564";
      sha256 = "1gvksha3l3pripy7rsk1axr9n0wmzsh2xr1461vjz3314sdfikyj";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "typescript.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "typescript.nvim";
      rev = "e715f6cdcaa99a172bdf4e2cfcb58e11f8aff598";
      sha256 = "0fv5qgg5460iksadq64pbaq2wahsvh20s8i6m119m7akgj7676hj";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "null-ls.nvim";
    src = fetchFromGitHub {
      owner = "jose-elias-alvarez";
      repo = "null-ls.nvim";
      rev = "a67897283fdb0051ad5c72e840e1845e195b979b";
      sha256 = "1jch4ns3blyaidr4nhlb5sgxgvyl0x0qwgdnpjr0d4ika6fji60d";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "fidget.nvim";
    src = fetchFromGitHub {
      owner = "j-hui";
      repo = "fidget.nvim";
      rev = "44585a0c0085765195e6961c15529ba6c5a2a13b";
      sha256 = "112mjmy2nrqwj3l9dp3gzxsygaidcdrz2l6vzn27k1a57a7jyb8l";
    };

    dontBuild = true;
  })
  (buildNeovimPlugin {
    name = "sonokai";
    src = fetchFromGitHub {
      owner = "sainnhe";
      repo = "sonokai";
      rev = "f53ac94c857e2119403ce12bfba200cd6ecc2e33";
      sha256 = "08syrady97mjp9zjwjp69p0vnd3fx1s8i5cbff7dzglww1ibl3iw";
    };

    dontBuild = true;
  })
]
